DbMultipleDataIterator (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbMultipleDataIterator,DbMultipleDataIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbMultipleDataIterator

    java.lang.Object
      |
      +--com.sleepycat.db.DbMultipleIterator
            |
            +--com.sleepycat.db.DbMultipleDataIterator

public class DbMultipleDataIterator
extends com.sleepycat.db.DbMultipleIterator

The DbMultipleDataIterator class is used to iterate through data returned using the `Db.DB_MULTIPLE` flag from a database belonging to any access method.

Constructor Summary
`DbMultipleDataIterator(Dbt dbt)` The constructor takes the data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE` flag.

Method Summary
`boolean` | `next(Dbt data)` The DbMultipleDataIterator.next method takes a `Dbt` that will be filled in with a reference to a buffer, a size, and an offset that together yield the next data item in the original bulk retrieval buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbMultipleDataIterator

    public DbMultipleDataIterator(Dbt dbt)

  The constructor takes the data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE` flag.

Parameters:
  `dbt` - a data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE` flag.

Method Detail

### next

    public boolean next(Dbt data)

  The DbMultipleDataIterator.next method takes a `Dbt` that will be filled in with a reference to a buffer, a size, and an offset that together yield the next data item in the original bulk retrieval buffer.

  Parameters:
    `data` - a `Dbt` that will be filled in with a reference to a buffer, a size, and an offset that together yield the next data item in the original bulk retrieval buffer.
  Returns:
    The DbMultipleDataIterator.next method returns false if no more data are available, and true otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.